# popt/poptconfig.c File Reference

More...

`#include "system.h"`
`#include "poptint.h"`

Go to the source code of this file.

## Functions

void | configLine (poptContext con, char *line)
int | poptReadConfigFile (poptContext con, const char *fn)
int | poptReadDefaultConfig (poptContext con, int useEnv)

## Detailed Description

Definition in file poptconfig.c.

## Function Documentation

void configLine | ( | poptContext | con,
|  | char * | line
| ) | `[static]`

| Definition at line 13 of file poptconfig.c. References alloca(), poptContext_s::appName, POPT_ARG_STRING, POPT_ARGFLAG_DOC_HIDDEN, poptAddItem(), poptContext, poptItem, and poptParseArgvString(). Referenced by poptReadConfigFile().